summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorJoshua Nichols <nichoj@gentoo.org>2006-12-08 21:44:48 +0000
committerJoshua Nichols <nichoj@gentoo.org>2006-12-08 21:44:48 +0000
commitdef4b67a8a82b82ca2607963f120d41f3f029053 (patch)
tree2a35e886b7a2d3c5be4ce4cfce168100ca66ebf4 /eclass
parentKill DEPEND on sys-apps/sed. (diff)
downloadgentoo-2-def4b67a8a82b82ca2607963f120d41f3f029053.tar.gz
gentoo-2-def4b67a8a82b82ca2607963f120d41f3f029053.tar.bz2
gentoo-2-def4b67a8a82b82ca2607963f120d41f3f029053.zip
Added functionality for controlling what is used for configuring
Diffstat (limited to 'eclass')
-rw-r--r--eclass/xfce44.eclass5
1 files changed, 3 insertions, 2 deletions
diff --git a/eclass/xfce44.eclass b/eclass/xfce44.eclass
index 819dc4c51812..d3ad148ba1aa 100644
--- a/eclass/xfce44.eclass
+++ b/eclass/xfce44.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/xfce44.eclass,v 1.5 2006/12/07 01:21:36 nichoj Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/xfce44.eclass,v 1.6 2006/12/08 21:44:48 nichoj Exp $
# Xfce44 Eclass
#
@@ -15,6 +15,7 @@ inherit debug
COMPRESS=".tar.bz2"
+CONFIGURE="econf"
INSTALL="make DESTDIR=${D} install"
XFCE_BETA_VERSION="4.3.99.2"
@@ -110,7 +111,7 @@ xfce44_src_compile() {
## XFCE_CONFIG sets extra config parameters
## JOBS is unset and defaults to make.conf settings
## unless set by single_make
- econf ${XFCE_CONFIG} || die
+ ${CONFIGURE} ${XFCE_CONFIG} || die
emake ${JOBS} || die
}